Socorroo! A página Prefencias em System Admin aparece parcialmente....

Mostrar todo o tópico

fbs777

Socorroo! A página Prefencias em System Admin aparece parcialmente....

fbs777  Ocasional   Postagens: 22

Nada como conferir os erros

Acontece que no wfsection/class/wfsarticle.php tem 2 linhas iguais. Então me parece que em versões antigas do PHP ele aceitava esse erro, e agora na versão 5.1.1 ou + ele não aceita mais e passa a dar erro.

A linha 90 é igual a linha 81:

var $groupid = '1 2 3';

Depois de remover uma das linhas e salvar, foram aparecendo outras linhas com o mesmo erro (linhas duplicadas)

Então se esse erro passava batido em PHP antigos e agora não, pode ser que mais alguns módulos passem a não funcionar quando atualizar o serv. por causa dos erros que tinham mas que eram aceitos.

*EDIT:

Só um detalhe: Enquanto estava no ero de linha duplicada estava fácil, era só ir removendo uma das duas.

Agora apereceu um erro que não sei como resolver:

Tem um:

$this = false.

Numa linha e isso está causando erro. Esse "$this =" só existe nessa linha, então parece que é erro de digitação mesmo.

A chave completa dessa parte é a seguinte:

{
$sql = "SELECT * FROM " . $this->table . " WHERE articleid=" . $articleid . " ";
$array = $this->db->fetchArray($this->db->query($sql));
If (!is_array($array))
{
$this = false;
Return false;
}
$this->makeArticle($array);
}

Uma coisa é certa: Esse módulo wfsection que tem aqui no XOOPS ou no fórum de traduções para o XOOPS (não lembro em qual dos dois lugares eu baixei) tem que ser atualizado para as novas versões de PHP não acusarem erros de linhas duplicatas e esse último erro que coloquei.

Ramificar

  Pesquisa avançada






Entrada

Codinome:


Senha:





Perdeu a senha?  |Cadastre-se!


Quem nos visita
Há 29 visitantes neste momento... (15 na seção Fóruns)

Associados: 0
Anônimos: 29

outros...

Banner XOOPS Cube